> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fortepayments.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Statuses

> Request statuses in batch for payments by their intent ids.



## OpenAPI

````yaml api-reference/openapi-payments.json POST /payments/v1/payments/statuses
openapi: 3.0.0
info:
  title: Forte Payments API
  version: v1.0.0
servers:
  - url: https://sandbox-api.sandbox.lemmax.com
    variables: {}
security:
  - authorization: []
tags:
  - name: Forte Payments
  - name: Forte Compliance
paths:
  /payments/v1/payments/statuses:
    post:
      tags:
        - Forte Payments
      summary: Get statuses in batch for payments by their intent ids.
      description: Request statuses in batch for payments by their intent ids.
      operationId: getPaymentIntentStatuses
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/get_payment_intent_statuses_request'
        description: List of payment intent ids.
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get_payment_intent_statuses_response'
          description: List of statuses for requested intent ids.
        '406':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Not Acceptable
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Too Many Requests
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Bad Request
      callbacks: {}
      security:
        - authorization: []
components:
  schemas:
    get_payment_intent_statuses_request:
      additionalProperties: false
      description: Get statuses request schema
      example:
        payment_intent_ids:
          - 79381939-1D94-4F34-A8AA-C6D4DF435964
          - 5B5119E4-320B-4D2C-BF59-7B2BB326D06C
          - C08ECA11-1FBD-4E0E-BBD0-E865500A9051
      properties:
        payment_intent_ids:
          items:
            description: ID of the payment intent.
            format: uuid
            maxLength: 36
            minLength: 36
            nullable: false
            pattern: >-
              ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
            type: string
            x-struct: null
            x-validate: null
          maxItems: 100
          minItems: 1
          type: array
          x-struct: null
          x-validate: null
      required:
        - payment_intent_ids
      title: get_payment_intent_statuses_request
      type: object
      x-struct: >-
        Elixir.FortePaymentSvcWeb.OpenApi.Novapay.GetPaymentIntentStatusesRequest
      x-validate: null
    get_payment_intent_statuses_response:
      description: Get statuses response schema
      example:
        data:
          - payment_intent_id: 88831e0e-370c-4a03-b904-9b375c453ac6
            status: Approved
      properties:
        data:
          items:
            description: List of payment intent IDs and their associated statuses.
            properties:
              payment_intent_id:
                description: ID of the payment intent.
                example: 88831e0e-370c-4a03-b904-9b375c453ac6
                format: uuid
                maxLength: 36
                minLength: 36
                nullable: false
                pattern: >-
                  ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
                type: string
                x-struct: null
                x-validate: null
              status:
                description: |-
                  Status of the payment associated with the payment intent.
                                `status` can be one of the three values:

                                - `Expired`: The payment intent has expired, because customer abandoned the payment intent.

                                - `Created`: The payment has been submitted by the customer, and is being processed for a final decision.

                                - `Approved`: The payment has been submitted and completed with success. 

                                - `Declined`: The payment has been submitted but declined, as a result payment was not successful.
                enum:
                  - Approved
                  - Declined
                  - Created
                  - Expired
                  - TransferInitiated
                type: string
                x-struct: null
                x-validate: null
            type: object
            x-struct: null
            x-validate: null
          maxItems: 1000
          type: array
          x-struct: null
          x-validate: null
      title: get_payment_intent_statuses_response
      type: object
      x-struct: >-
        Elixir.FortePaymentSvcWeb.OpenApi.Novapay.GetPaymentIntentStatusesResponse
      x-validate: null
    JsonErrorResponse:
      additionalProperties: false
      example:
        error:
          message: The Foo resource could not be found
          reason: Not Found
          status: 404
      properties:
        error:
          additionalProperties: false
          properties:
            code:
              oneOf:
                - format: int32
                  type: integer
                  x-struct: null
                  x-validate: null
                - maxLength: 1000
                  type: string
                  x-pnc-external: true
                  x-struct: null
                  x-validate: null
              x-struct: null
              x-validate: null
            message:
              description: >-
                Extra information about the error that may be displayed, but
                should not be used for programmatic matching
              example: The Foo resource could not be found
              maxLength: 1000
              minLength: 0
              type: string
              x-struct: null
              x-validate: null
            reason:
              description: HTTP status description
              example: Not Found
              maxLength: 1000
              minLength: 1
              type: string
              x-struct: null
              x-validate: null
            status:
              description: HTTP status code
              example: 404
              format: int32
              type: integer
              x-struct: null
              x-validate: null
          required:
            - status
            - reason
          type: object
          x-struct: null
          x-validate: null
      required:
        - error
      title: JsonErrorResponse
      type: object
      x-struct: Elixir.PncCommon.OpenApi.JsonErrorResponse
      x-validate: null
  securitySchemes:
    authorization:
      description: '`access_token` returned by the `/auth/v1/oauth2/tokens` API call.'
      scheme: bearer
      type: http

````